QGIS Application - Bug report #4850
Labeling engine settings: always defaults values
2012-01-20 02:49 AM - michele zanalli

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14684
Description

| noticed that, when reopening Qgis, all the changes previously made inside the labeling "Engine settings" (Search methods, Show alll
labels,...) are lost. Defaults values are restored.

Is it possible to store these settings inside a project file?

History

#1 - 2012-01-20 02:52 AM - Giovanni Manghi

- Tracker changed from Feature request to Bug report
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Confirmed on master

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#4 - 2012-09-16 02:44 AM - Giovanni Manghi

- Resolution set to fixed
- Status changed from Open to Closed

Seems fixed on master.

#5 - 2012-09-16 04:56 PM - Larry Shaffer
- Status changed from Closed to Reopened
- Resolution deleted (fixed)

Hi Giovanni,

| reopened this because only the 'show all labels' is currently saved per layer. All the settings for the labeling engine in the noted dialog are still not saved
anywhere. Those could be saved/reloaded at the project level, as Michele indicated.
#6 - 2012-11-17 05:11 AM - Anita Graser
- Priority changed from Normal to Severe/Regression

#7 - 2012-11-19 09:25 PM - Larry Shaffer

- Resolution set to fixed

- Status changed from Reopened to Closed

Hi,

This should be fixed in master with commit commit:bab4395

Also added ability to remove those settings, and a means of restoring defaults.

#8 - 2012-11-20 12:36 AM - michele zanolli

Thanks Larry!

2025-04-26

22



